apt: переустановить старую версию пакета без изменения зависимых пакетов

У меня проблемы со звуком. Чтобы исследовать проблему, я попытался переустановить старую версию пакета libasound2 (недавно я обновил его). Я набрал apt-get install libasound2=1.0.1.23-2.1 и менеджер хотел, чтобы unistall много программного обеспечения, которое я использую, и мне не нравится идея, что я должен установить его снова.

Как я могу изменить версию выбранного пакета без всякой проблемы с зависимым программным обеспечением?

Предполагая, что старая версия пакета существует в репозитории, к которому apt настроен, чтобы поговорить (например, вы установили версию из теста или нестабильны, и вы хотите, чтобы версия была стабильной), я бы рекомендовал использовать aptitude для маркировки пакета для понижения. aptitude покажет вам, есть ли конфликт, вызванный вашими действиями, и позвольте вам пройти через возможные решения.

Возможно, вы не сможете понизить рейтинг.